function main(self)
	self:AnimationStep()
	local claw = GetClaw()

    if self.State == 0 then
		self:SetImage("CUSTOM_GROUNDBLOWER")
		self:SetAnimation("CUSTOM_STEAM")
		self.AttackRect = {-18,0,30,80}
		self.AttackFlags.Player = true
		self.State = 1
	end

	if self.State == 1 and self.I == 2 then
		if self.X < claw.X + 450 and self.X > claw.X - 450 and self.Y < claw.Y + 320 and self.Y > claw.Y - 320 then
			PlaySound("CUSTOM_STEAM")
		end
		self.State = 2
	end

	if self.State == 2 and self.I == 5 then
		self.State = 1
	end
end

function attack(self)
	if self.State == 2 then
		ClawJump(self.Height)
	end
end
